> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get payment request details

GET https://api.brevo.com/v3/payments/requests/{id}

Retrieve the details of a specific payment request by its ID. The response includes the reference, status (created, sent, reminderSent, or paid), cart details, notification configuration, contact ID, and the number of reminders sent. Returns a `404` error if no payment request matches the provided ID.

Reference: https://developers.brevo.com/reference/payments/get-payment-request

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `id` (string, required) — Id of the payment Request

## Response

### 200

Payment request details

- `cart` (object, required) — Specify the payment currency and amount.
  - `currency` (enum, required) — Currency code for the payment amount.
    - Allowed values: `EUR`
  - `specificAmount` (long, required) — Payment amount, in cents. e.g. if you want to request €12.00, then the amount in cents is 1200.
- `notification` (object, required) — Optional. Use this object if you want to let Brevo send an email to the contact, with the payment request URL. If empty, no notifications (message and reminders) will be sent.
  - `channel` (enum, required) — Channel used to send the notifications.
    - Allowed values: `email`
  - `text` (string, required) — Use this field if you want to give more context to your contact about the payment request.
- `reference` (string, required) — Reference of the payment request, it will appear on the payment page.
- `status` (enum, required) — Status of the payment request.
  - Allowed values: `created`, `sent`, `reminderSent`, `paid`
- `configuration` (object, optional) — Optional. Redirect contact to a custom success page once payment is successful. If empty the default Brevo page will be displayed once a payment is validated
  - `customSuccessUrl` (string, required) — Absolute URL of the custom success page.
- `contactId` (long, optional) — Brevo ID of the contact requested to pay.
- `numberOfRemindersSent` (long, optional) — number of reminders sent.

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 401 Unauthorized Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 403 Forbidden Error

Permission denied. Either you don't have access to Brevo Payments or your Brevo Payments account is not validated.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Payment request not found.

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "cart": {
    "currency": "EUR",
    "specificAmount": 1200
  },
  "notification": {
    "channel": "email",
    "text": "Please pay for your yoga class."
  },
  "reference": "Invoice #INV0001\n",
  "status": "paid",
  "configuration": {
    "customSuccessUrl": "https://my-company.com/payment-success"
  },
  "contactId": 43,
  "numberOfRemindersSent": 5
}
```

**SDK Code**

```typescript Payments_getPaymentRequest_example
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.payments.getPaymentRequest({
        id: "050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc",
    });
}
main();

```

```python Payments_getPaymentRequest_example
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.payments.get_payment_request(
    id="050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc",
)

```

```php Payments_getPaymentRequest_example
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->payments->getPaymentRequest(
    '050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc',
);

```

```go Payments_getPaymentRequest_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/payments/requests/050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payments_getPaymentRequest_example
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/payments/requests/050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Payments_getPaymentRequest_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/payments/requests/050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp Payments_getPaymentRequest_example
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/payments/requests/050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Payments_getPaymentRequest_example
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/payments/requests/050db7b0-9bb7-4c1e-9c68-5a8dace8c1dc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```